Bug 1977426 - Installation of OCP 4.6.13 fails when teaming interface is used with OVNKubernetes
Summary: Installation of OCP 4.6.13 fails when teaming interface is used with OVNKuber...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.6
Hardware: x86_64
OS: Linux
urgent
high
Target Milestone: ---
: 4.8.0
Assignee: Mohamed Mahmoud
QA Contact: Vinu K
URL:
Whiteboard:
Depends On: 1934443
Blocks: 1977424
TreeView+ depends on / blocked
 
Reported: 2021-06-29 17:54 UTC by OpenShift BugZilla Robot
Modified: 2021-07-27 23:14 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
: 2006707 (view as bug list)
Environment:
Last Closed: 2021-07-27 23:13:47 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift machine-config-operator pull 2648 0 None closed [release-4.8] Bug 1977426: Fix team config JSON format for nmcli command 2021-07-01 17:59:05 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:14:11 UTC

Comment 5 Ross Brattain 2021-07-14 07:03:14 UTC
Verified on 4.8.0-0.ci.test-2021-07-13-181010-ci-ln-894tm7b-latest with https://github.com/openshift/machine-config-operator/pull/2643

tested with 

TEAM_CONFIG='{"runner": {"name": "activebackup"}, "link_watch": {"name": "ethtool"}}'


Jul 13 22:00:44 compute-0 configure-ovs.sh[1392]: + nmcli connection show br-ex
Jul 13 22:00:44 compute-0 configure-ovs.sh[1392]: + nmcli c add type ovs-bridge con-name br-ex conn.interface br-ex 802-3-ethernet.mtu 1500 ipv4.route-metric 100 ipv6.route-metric 100
Jul 13 22:00:44 compute-0 configure-ovs.sh[1392]: Connection 'br-ex' (83a063d3-e41f-4e24-85e4-dcba14b8d280) successfully added.
Jul 13 22:00:44 compute-0 configure-ovs.sh[1392]: + nmcli connection show ovs-port-phys0
Jul 13 22:00:44 compute-0 configure-ovs.sh[1392]: + nmcli c add type ovs-port conn.interface team0 master br-ex con-name ovs-port-phys0
Jul 13 22:00:44 compute-0 configure-ovs.sh[1392]: Connection 'ovs-port-phys0' (85b922ec-470f-4e6e-a9ea-8f307b053886) successfully added.
Jul 13 22:00:44 compute-0 configure-ovs.sh[1392]: + nmcli connection show ovs-port-br-ex
Jul 13 22:00:44 compute-0 configure-ovs.sh[1392]: + nmcli c add type ovs-port conn.interface br-ex master br-ex con-name ovs-port-br-ex
Jul 13 22:00:44 compute-0 configure-ovs.sh[1392]: Connection 'ovs-port-br-ex' (f8e3cbe6-a30c-422b-bf46-b9bd2d70d037) successfully added.
Jul 13 22:00:44 compute-0 configure-ovs.sh[1392]: + extra_phys_args=()
Jul 13 22:00:44 compute-0 configure-ovs.sh[1392]: ++ nmcli --get-values connection.type conn show 702de3eb-2e80-897c-fd52-cd0494dd8123
Jul 13 22:00:44 compute-0 configure-ovs.sh[1392]: + '[' team == vlan ']'
Jul 13 22:00:44 compute-0 configure-ovs.sh[1392]: ++ nmcli --get-values connection.type conn show 702de3eb-2e80-897c-fd52-cd0494dd8123
Jul 13 22:00:44 compute-0 configure-ovs.sh[1392]: + '[' team == bond ']'
Jul 13 22:00:44 compute-0 configure-ovs.sh[1392]: ++ nmcli --get-values connection.type conn show 702de3eb-2e80-897c-fd52-cd0494dd8123
Jul 13 22:00:44 compute-0 configure-ovs.sh[1392]: + '[' team == team ']'
Jul 13 22:00:44 compute-0 configure-ovs.sh[1392]: + iface_type=team
Jul 13 22:00:44 compute-0 configure-ovs.sh[1392]: ++ nmcli --get-values team.config -e no conn show 702de3eb-2e80-897c-fd52-cd0494dd8123
Jul 13 22:00:44 compute-0 configure-ovs.sh[1392]: + team_config_opts='{"runner": {"name": "activebackup"}}'
Jul 13 22:00:44 compute-0 configure-ovs.sh[1392]: + '[' -n '{"runner": {"name": "activebackup"}}' ']'
Jul 13 22:00:44 compute-0 configure-ovs.sh[1392]: + extra_phys_args+=(team.config "${team_config_opts//[[:space:]]/}")
Jul 13 22:00:44 compute-0 configure-ovs.sh[1392]: + nmcli connection show ovs-if-phys0
Jul 13 22:00:44 compute-0 configure-ovs.sh[1392]: + nmcli c add type team conn.interface team0 master ovs-port-phys0 con-name ovs-if-phys0 connection.autoconnect-priority 100 802-3-ethernet.mtu 1500 team.config '{"runner":{"name":"activebackup"}}'
Jul 13 22:00:44 compute-0 configure-ovs.sh[1392]: Connection 'ovs-if-phys0' (106f83f9-66ed-49c9-b5eb-ee84f69a95a4) successfully added.
Jul 13 22:00:44 compute-0 configure-ovs.sh[1392]: ++ nmcli -g connection.uuid conn show ovs-if-phys0
Jul 13 22:00:44 compute-0 configure-ovs.sh[1392]: + new_conn=106f83f9-66ed-49c9-b5eb-ee84f69a95a4
Jul 13 22:00:44 compute-0 configure-ovs.sh[1392]: + trap handle_exit_error EXIT
Jul 13 22:00:44 compute-0 configure-ovs.sh[1392]: + replace_connection_master 702de3eb-2e80-897c-fd52-cd0494dd8123 106f83f9-66ed-49c9-b5eb-ee84f69a95a4
Jul 13 22:00:44 compute-0 configure-ovs.sh[1392]: + local old=702de3eb-2e80-897c-fd52-cd0494dd8123
Jul 13 22:00:44 compute-0 configure-ovs.sh[1392]: + local new=106f83f9-66ed-49c9-b5eb-ee84f69a95a4
Jul 13 22:00:44 compute-0 configure-ovs.sh[1392]: ++ nmcli -g UUID connection show
Jul 13 22:00:44 compute-0 configure-ovs.sh[1392]: + for conn_uuid in $(nmcli -g UUID connection show)
Jul 13 22:00:44 compute-0 configure-ovs.sh[1392]: ++ nmcli -g connection.master connection show uuid 702de3eb-2e80-897c-fd52-cd0494dd8123


BOOTPROTO=none
NAME=ens192
DEVICE=ens192
DEVICETYPE=TeamPort
TEAM_MASTER=team0
TEAM_PORT_CONFIG='{"sticky": true}'
ONBOOT=yes
BOOTPROTO=none
NAME=ens224
DEVICE=ens224
DEVICETYPE=TeamPort
TEAM_MASTER=team0
TEAM_PORT_CONFIG='{"sticky": true}'
ONBOOT=yes
NAME=team0
DEVICE=team0
DEVICETYPE=Team
TEAM_CONFIG='{"runner": {"name": "activebackup"}}'
BOOTPROTO=none
ONBOOT=yes
AUTOCONNECT_PRIORITY=100
AUTOCONNECT_RETRIES=0
IPADDR=172.31.248.103
PREFIX=23
GATEWAY=172.31.248.1
DEFROUTE=yes
IPV4_FAILURE_FATAL=yes
IPV6INIT=no


ovs-if-phys0.nmconnection:[connection]
ovs-if-phys0.nmconnection:id=ovs-if-phys0
ovs-if-phys0.nmconnection:uuid=106f83f9-66ed-49c9-b5eb-ee84f69a95a4
ovs-if-phys0.nmconnection:type=team
ovs-if-phys0.nmconnection:autoconnect-priority=100
ovs-if-phys0.nmconnection:interface-name=team0
ovs-if-phys0.nmconnection:master=85b922ec-470f-4e6e-a9ea-8f307b053886
ovs-if-phys0.nmconnection:permissions=
ovs-if-phys0.nmconnection:slave-type=ovs-port
ovs-if-phys0.nmconnection:
ovs-if-phys0.nmconnection:[ethernet]
ovs-if-phys0.nmconnection:mac-address-blacklist=
ovs-if-phys0.nmconnection:mtu=1500
ovs-if-phys0.nmconnection:
ovs-if-phys0.nmconnection:[ovs-interface]
ovs-if-phys0.nmconnection:type=system
ovs-if-phys0.nmconnection:
ovs-if-phys0.nmconnection:[team]
ovs-if-phys0.nmconnection:config={"runner":{"name":"activebackup"}}



Jul 14 04:09:30 compute-0 configure-ovs.sh[1395]: + nmcli connection show br-ex
Jul 14 04:09:30 compute-0 configure-ovs.sh[1395]: + nmcli c add type ovs-bridge con-name br-ex conn.interface br-ex 802-3-ethernet.mtu 1500 ipv4.route-metric 100 ipv6.route-metric 100
Jul 14 04:09:30 compute-0 configure-ovs.sh[1395]: Connection 'br-ex' (25b31b7b-685e-45c8-87ac-51e926ea98f3) successfully added.
Jul 14 04:09:30 compute-0 configure-ovs.sh[1395]: + nmcli connection show ovs-port-phys0
Jul 14 04:09:30 compute-0 configure-ovs.sh[1395]: + nmcli c add type ovs-port conn.interface team0 master br-ex con-name ovs-port-phys0
Jul 14 04:09:30 compute-0 configure-ovs.sh[1395]: Connection 'ovs-port-phys0' (3c7a9620-588a-409e-9e45-bff20c559f07) successfully added.
Jul 14 04:09:30 compute-0 configure-ovs.sh[1395]: + nmcli connection show ovs-port-br-ex
Jul 14 04:09:30 compute-0 configure-ovs.sh[1395]: + nmcli c add type ovs-port conn.interface br-ex master br-ex con-name ovs-port-br-ex
Jul 14 04:09:30 compute-0 configure-ovs.sh[1395]: Connection 'ovs-port-br-ex' (1bacdf4b-19c3-4841-8afb-2da35565f443) successfully added.
Jul 14 04:09:30 compute-0 configure-ovs.sh[1395]: + extra_phys_args=()
Jul 14 04:09:30 compute-0 configure-ovs.sh[1395]: ++ nmcli --get-values connection.type conn show 702de3eb-2e80-897c-fd52-cd0494dd8123
Jul 14 04:09:30 compute-0 configure-ovs.sh[1395]: + '[' team == vlan ']'
Jul 14 04:09:30 compute-0 configure-ovs.sh[1395]: ++ nmcli --get-values connection.type conn show 702de3eb-2e80-897c-fd52-cd0494dd8123
Jul 14 04:09:30 compute-0 configure-ovs.sh[1395]: + '[' team == bond ']'
Jul 14 04:09:30 compute-0 configure-ovs.sh[1395]: ++ nmcli --get-values connection.type conn show 702de3eb-2e80-897c-fd52-cd0494dd8123
Jul 14 04:09:30 compute-0 configure-ovs.sh[1395]: + '[' team == team ']'
Jul 14 04:09:30 compute-0 configure-ovs.sh[1395]: + iface_type=team
Jul 14 04:09:30 compute-0 configure-ovs.sh[1395]: ++ nmcli --get-values team.config -e no conn show 702de3eb-2e80-897c-fd52-cd0494dd8123
Jul 14 04:09:30 compute-0 configure-ovs.sh[1395]: + team_config_opts='{"runner": {"name": "activebackup"}, "link_watch": {"name": "ethtool"}}'
Jul 14 04:09:30 compute-0 configure-ovs.sh[1395]: + '[' -n '{"runner": {"name": "activebackup"}, "link_watch": {"name": "ethtool"}}' ']'
Jul 14 04:09:30 compute-0 configure-ovs.sh[1395]: + extra_phys_args+=(team.config "${team_config_opts//[[:space:]]/}")
Jul 14 04:09:30 compute-0 configure-ovs.sh[1395]: + nmcli connection show ovs-if-phys0
Jul 14 04:09:30 compute-0 configure-ovs.sh[1395]: + nmcli c add type team conn.interface team0 master ovs-port-phys0 con-name ovs-if-phys0 connection.autoconnect-priority 100 802-3-ethernet.mtu 1500 team.config '{"runner":{"name":"activebackup"},"link_watch":{"name":"et>
Jul 14 04:09:30 compute-0 configure-ovs.sh[1395]: Connection 'ovs-if-phys0' (c5a466aa-bab5-4459-98a8-9061ee74fd99) successfully added.
Jul 14 04:09:30 compute-0 configure-ovs.sh[1395]: ++ nmcli -g connection.uuid conn show ovs-if-phys0
Jul 14 04:09:30 compute-0 configure-ovs.sh[1395]: + new_conn=c5a466aa-bab5-4459-98a8-9061ee74fd99
Jul 14 04:09:30 compute-0 configure-ovs.sh[1395]: + trap handle_exit_error EXIT

BOOTPROTO=none
NAME=ens192
DEVICE=ens192
DEVICETYPE=TeamPort
TEAM_MASTER=team0
TEAM_PORT_CONFIG='{"sticky": true}'
ONBOOT=yes
BOOTPROTO=none
NAME=ens224
DEVICE=ens224
DEVICETYPE=TeamPort
TEAM_MASTER=team0
TEAM_PORT_CONFIG='{"sticky": true}'
ONBOOT=yes
NAME=team0
DEVICE=team0
DEVICETYPE=Team
TEAM_CONFIG='{"runner": {"name": "activebackup"}, "link_watch": {"name": "ethtool"}}'
BOOTPROTO=none
ONBOOT=yes
AUTOCONNECT_PRIORITY=100
AUTOCONNECT_RETRIES=0
IPADDR=172.31.248.144
PREFIX=23
GATEWAY=172.31.248.1
DEFROUTE=yes
IPV4_FAILURE_FATAL=yes
IPV6INIT=no


ovs-if-phys0.nmconnection:[connection]
ovs-if-phys0.nmconnection:id=ovs-if-phys0
ovs-if-phys0.nmconnection:uuid=c5a466aa-bab5-4459-98a8-9061ee74fd99
ovs-if-phys0.nmconnection:type=team
ovs-if-phys0.nmconnection:autoconnect-priority=100
ovs-if-phys0.nmconnection:interface-name=team0
ovs-if-phys0.nmconnection:master=3c7a9620-588a-409e-9e45-bff20c559f07
ovs-if-phys0.nmconnection:permissions=
ovs-if-phys0.nmconnection:slave-type=ovs-port
ovs-if-phys0.nmconnection:
ovs-if-phys0.nmconnection:[ethernet]
ovs-if-phys0.nmconnection:mac-address-blacklist=
ovs-if-phys0.nmconnection:mtu=1500
ovs-if-phys0.nmconnection:
ovs-if-phys0.nmconnection:[ovs-interface]
ovs-if-phys0.nmconnection:type=system
ovs-if-phys0.nmconnection:
ovs-if-phys0.nmconnection:[team]
ovs-if-phys0.nmconnection:config={"runner":{"name":"activebackup"},"link_watch":{"name":"ethtool"}}

Comment 8 errata-xmlrpc 2021-07-27 23:13:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.